2021-07-10:

* add `exb2text.xsl` and `exb2text.sh`

2021-07-09:

* remove `<project-name>` in `exb2exb-annis.xsl`
* shorten speaker ID and add `SPK` prefix in `exb2exb-annis.xsl`

2020-12-23:

* add script `exb2exs.sh` for converting EXB files to Coma's EXS format

2020-10-18:

* generate "L2_other" metadata tag in `metadata.xsl`
* don't convert language codes from ISO 639-2 to ISO 639-1 in `metadata.xsl`

2020-10-15:

* mention Amazon Corretto in `README.md`
* bump version to 18.0
* update download URL for EXMARaLDA (Dulko) in `README.md`

2020-08-19:

* remove `KonREL` from `annotation-panel.xml`

2020-08-05:

* adapt hidden title spans in `exb2exb-timeline.xsl`

2020-07-06:

* require current stable EXMARaLDA version 1.6.1
* bump `PARTITUREDITOR_VERSION`in `EXMARaLDAConstants.java` to EXMARaLDA version 1.6.1
* drop custom StylesheetFactory.java with system ID settings, which are now
  included in EXMARaLDA 1.6.1

2020-07-03:

* add `Ellip` ("Ellipse") to "syntaktische Fehler" in `annotation-panel.xml`

2020-07-02:

* add options to `exb2exb.sh` for running `exb2exb-spans.xsl` and
  `exb2exb-timeline.xsl`

2020-04-12:

* migrate repository from Bitbucket to Sourcehut
* adapt `README.md` and `BUILD.md` accordingly

2020-03-09:

* add support for language codes `eus`, `kor`, and `lat`

2019-10-27:

* fix `exb2exb-s.xsl`
* fix `exb2exb.sh`
* bump version to 17.2

2019-10-21:

* add `exb2exb-displayname.xsl` and `exb2exb-displayname-format.xsl` as well as
  a corresponding transformation scenario for abbreviating the tier display
  names
* fix `exb2exb.sh`, `exmaralda-dulko.sh`, and `exmaralda-dulko.command`

2019-09-24:

* add `SemRel` ("[lexikalische Realisierung] einer semantische[n] Relation") to
  "semantische Fehler" in `annotation-panel.xml`
* remove `Quant`, `SuppLok`, `SuppTemp`, `SuppMod`, and `SuppKaus` from
  `annotation-panel.xml`

2019-06-23:

* unconditionally copy `word` events to newly created `orig` tier
* bump version to 17.1

2019-05-27:

* better support for MacOS and Linux
* adapt `exb2exb.sh`
* revise `README.md`

2019-05-06:

* add `exb2exb-layout.xsl` and `exb2exb-txtlayout-format.xsl` as well as a
  corresponding transformation scenario for generating a `Layout` tier, with
  support for tagging events on the `orig` tier consisting of the symbols `¶`,
  `|`, `-`, and `_` with `PARB`, `LB`, `HYPH`, and `SPACE`, respectively
* ignore such events on the `Diff` tier
* add `exb2exb-graph.xsl` and `exb2exb-txtgraph-format.xsl` as well as a
  corresponding transformation scenario for generating a `Graph` tier, provided
  for manually tagging graphical renditions
* add annotation sets for `Diff`, `Layout`, and `Graph` tiers to
  `annotation-panel.xml`
* adapt `README.md` accordingly
* rename `exb2exb-orig-format.xsl` and `exb2exb-word-format.xsl` to
  `exb2exb-txtorig-format.xsl` and `exb2exb-txtword-format.xsl`, respectively
* fix `README.md`
* bump version to 17.0

2019-05-05:

* rename `tok` tier to `word`, as `tok` is a reserved name in ANNIS
* insert an empty `tok` tier in `exb2exb-annis.xsl` (to be used in Pepper)
* rename `edit` tier to `Diff`
* adapt `TransformationScenarios.xml` and `README.md` accordingly
* support `SPACE` events consisting of more than one `_` symbol
* allow for standard input in `exb2exb.sh`, `exb2html.sh`, and `exb2metadata.sh`
* add unit test to `Makefile`

2019-03-14:

* add `exb2exb-orig.xsl`, `exb2exb-edit.xsl`, `exb2exb-orig-format.xsl`, and
  `exb2exb-edit-format.xsl` as well as corresponding transformation scenarios
  for generating `orig` and `edit` tiers
* add support for events on the `orig` tier consisting of the symbols `¶`, `|`,
  `-`, and `_`, which are tagged on the `edit` tier with `PARB`, `LB`, `HYPH`,
  and `SPACE`, respectively
* adapt other stylesheets and `README.md` accordingly
* add options to `exb2exb.sh` for running `exb2exb-orig.xsl` and
  `exb2exb-edit.xsl`
* add `ST` ("Silbentrennung") to "orthographische Fehler" in
  `annotation-panel.xml`
* bump version to 16.0

2019-02-26:

* update `README.md`

2019-01-28:

* improve `Makefile`
* correct an error in `BUILD.md`

2019-01-27:

* add `$corpus` parameter to `metadata.xsl`; if set to a directory relative to
  the current EXB file, the `corpus_size` is the sum of the tokens in the whole
  corpus, else it is the number of tokens in the EXB file (default)
* respect the `$corpus` parameter also in `exb2html.xsl`
* add script `exb2metadata.sh` for extracting corpus metadata from EXB files
* debug `Makefile`
* bump version to 15.0

2019-01-26:

* make `metadata.xsl` more robust
* only process `<project-name>` in `metadata.xsl` if the metadata properties
  `corpus_title`, `corpus_acronym`, and `distributor` are unset
* only process `<transcription-convention>` in `metadata.xsl` if the metadata
  properties `editorial_decisions` and `transcription_guidelines` are unset
* process corpus metadata and document metadata in `metadata.xsl` separately
* adapt `exb2html.xsl` accordingly
* only include document metadata in `exb2exb-annis.xsl`
* only include corpus metadata in `exb2metadata.xsl`
* update annotation-related metadata in `metadata.xsl` instead of `exb2exb.xsl`
* remove `L2_other_1_region`, `L2_other_1_study_institutions`, and
  `L2_other_1_study_years` from `dulko.template.exb`
* set indentation of XML output to 2 spaces in `exb2exb.sh` and `exb2html.sh`

2019-01-25:

* support e-mail addresses and simple URLs in `exb2exb-tok.xsl`
* support multiple L1s in `metadata.xsl`
* add `L2_other_1_region`, `L2_other_1_study_institutions`, and
  `L2_other_1_study_years` to `dulko.template.exb`
* add `corpus_title`, `corpus_acronym`, `distributor`, `editorial_decisions`,
  and `transcription_guidelines` to `dulko.template.exb`
* add values for `longitudinal` and `written_ref_tools` in `dulko.template.exb`
* add default values for `annotation`, `annotation_complete`, `pos_tagged`, and
  `error_annotated` in `dulko.template.exb`
* change values for `proficiency_level_descriptors` and
  `learner_proficiency_rating_scale` in `dulko.template.exb`
* remove `edition` from `dulko.template.exb`
* add script `exb2html.sh` for converting EXB files to HTML and remove `--html`
  option from `exb2exb.sh`
* update the link to the German parameter file for TreeTagger in `README.md`

2019-01-24:

* specify phony targets in `Makefile`

2019-01-22:

* move the contents of `src/build` to `src` and remove the `src/build` directory
* revise `Makefile` and `exmaralda-dulko.iss`
* adapt `BUILD.md` accordingly
* reorder tags in `annotation-panel.xml`

2019-01-21:

* move `HSt` ("Herausstellung") to "syntaktische Fehler" > "Wortstellung" in
  `annotation-panel.xml`
* add `StN` ("[Wortstellung] in der Nominalgruppe") to "syntaktische Fehler" >
  "Wortstellung" in `annotation-panel.xml`
* add `StW` ("[Wortstellung] des Frageworts") to "syntaktische Fehler" >
  "Wortstellung" in `annotation-panel.xml`
* substitute `KonREL` ("Relativwort") for `KonPREL` and `KonPW` in
  `annotation-panel.xml`
* substitute `StND` ("[Wortstellung] in Namen oder Datumsangaben") for `StNE`
  and `StDatum` in `annotation-panel.xml`
* substitute `StPTK` ("[Wortstellung] der Negations- oder Fokuspartikel") for
  `StPTKNEG` and `StPTKFOK` in `annotation-panel.xml`
* remove `Komit`, `KonADV`, `KongrDet`, and `Kontr` from `annotation-panel.xml`
* link the IDS Dulko homepage in `README.md`

2018-10-14:

* add `metadata.xsl` which generates Java properties in XML format from metadata
  in the EXB file
* call `metadata.xsl` from `exb2html.xsl`
* highlight empty metadata properties in HTML export
* add `exb2metadata.xsl` and a corresponding transformation scenario called
  `Dulko: Pepper-kompatible Metadaten-Liste` for generating a metadata file in
  text format without empty metadata properties (to be used in Pepper by setting
  `pepper.before.readMeta` to the filename's extension)
* add an option to `exb2exb.sh` for running `exb2metadata.xsl`

2018-07-11:

* don't remove redundant annotations on the first `ZH`, `ZHS`, `ZHpos`, and
  `ZHlemma` tiers in `exb2exb-annis.xsl`
* ignore EXB's `<tierformat-table>` in `exb2exb-annis.xsl`
* add script `exb2exb.sh` for running stylesheets on the Linux command line
* bump version to 14.1

2018-07-03:

* ignore EXB's `<tierformat-table>` in `exb2html.xsl`

2018-06-30:

* change the type of `ZH` tiers in `exb2exb-zh.xsl` from `t` to `a` and adapt
  `exb2exb-annis.xsl` accordingly
* add namespace prefix `tok` not only for the `S` tier, but also for the `pos`,
  `lemma`, and `trans` tiers
* remove redundant annotations on the `ZH`, `ZHS`, `ZHpos`, and `ZHlemma` tiers
  in `exb2exb-annis.xsl`
* drop support for removing the namespace prefix again in `exb2exb-annis.xsl`
* change the transformation scenario for this potentially destructive stylesheet
  into a non-self-transformation
* adapt `TransformationScenarios.xml` and `README.md` accordingly
* bump version to 14.0

2018-06-29:

* add hidden title span on `S` tier for `text_title` metadata value
* support hidden title span in `exb2exb-trans.xsl`, `exb2exb-zh.xsl`,
  `exb2exb-diff.xsl`, and `exb2html.xsl`
* remove stylesheets and transformation scenarios for `ZHtrans` tiers and
  simplify `exb2exb-trans.xsl` accordingly
* remove stylesheets and transformation scenarios for third target hypothesis
* adapt `exmaralda-dulko.iss` accordingly
* bump version to 13.0

2018-06-28:

* exclude `text_title` metadata value from initial sentence span
* substitute `Quant` ("Quantifikation") for `KongrQuant` in "syntaktische
  Fehler" in `annotation-panel.xml`
* add `Poss` ("Possessivität"), `Präd` ("Prädikat"), `SuppLok` ("Supplement,
  lokal"), `SuppTemp` ("Supplement, temporal"),`SuppMod` ("Supplement, modal"),
  and `SuppKaus` ("Supplement, kausal") to "syntaktische Fehler" in
  `annotation-panel.xml`
* add `Grundf` ("Grundform") to "lexikalische Fehler" in `annotation-panel.xml`
* add `Ant` ("Antezedens") and `GenV` ("Genus verbi") to "semantische Fehler" in
  `annotation-panel.xml`
* add a link to the Dulko homepage in `README.md`
* bump version to 12.2

2018-03-14:

* fix CSS in `exb2html.xsl`

2018-03-01:

* rename `exb2exb-namespaces.xsl` to `exb2exb-annis.xsl` and call the
  corresponding transformation scenario "Dulko: ANNIS-kompatible Version"
* adapt related files accordingly
* change the type of `ZH` tiers in `exb2exb-annis.xsl` from `t` to `a` and vice
  versa
* bump version to 12.1

2018-02-27:

* add `HSt` ("Herausstellung") to "syntaktische Fehler" in
  `annotation-panel.xml`
* fix treatment of abbreviations in `exb2exb-s.xsl`
* bump version to 12.0

2018-02-07:

* add `Sexus` ("Sexus/konzeptuelles Genus") to "semantische Fehler" in
  `annotation-panel.xml`

2018-01-29:

* add `Expl` ("Expletivum/Vorfeld-'es'") to "syntaktische Fehler" in
  `annotation-panel.xml`

2018-01-09:

* add `exb2exb-spans.xsl` and `exb2exb-spans-format.xsl` for cleaning up
  sentence-span names
* adapt `TransformationScenarios.xml` accordingly
* add `Kontr` ("Kontraktion") and `Kompb` ("Komparativbildung") to
  "morphologische Fehler" in `annotation-panel.xml`
* add `Komp` ("Komparation, Vergleichspartikel") to "syntaktische Fehler" in
  `annotation-panel.xml`
* rename `Fin` to `Infin` ("(In)Finitheit") in `annotation-panel.xml`
* label `Flex` as "Flexionsklasse" in `annotation-panel.xml`
* add `L2_study_institutions` to `dulko.template.exb`
* bump version to 11.1

2018-01-07:

* move transformation stylesheets to `share` directory
* add `share` directory to the classpath in order to have them found
  independently of the working directory
* adapt `format-table.xsl`, `SegmentAndSaveTranscriptionAction.java`,
  `TransformationScenarios.xml`, and `exmaralda-dulko.iss` accordingly
* bump version to 11.0

2018-01-06:

* set system ID on stylesheet sources in `StylesheetFactory.java` in order to
  support `<xsl:include>` and `<xsl:import>` with relative `@href` in
  stylesheets
* adapt `Makefile` accordingly

2018-01-04:

* add `exb2exb-metadata-format.xsl` chaining `exb2exb-format.xsl` after
  `exb2exb-metadata.xsl`
* adapt `TransformationScenarios.xml` accordingly

2018-01-03:

* fix `format.xsl`, which has to be XSLT 1.0 in order to be compatible with
  ApplyFormatStylesheetAction.java
* improve metadata rendering in `exb2html.xsl`
* add `exb2exb-metadata.xsl` for importing Dulko metadata from
  `dulko.template.exb`
* adapt `TransformationScenarios.xml` and `README.md` accordingly
* bump version to 10.1

2018-01-01:

* modularise and clean up stylesheets
* add user-defined attributes for Dulko metadata to `dulko.template.exb`
* automatically determine annotation metadata
* shorten long speaker abbreviations in tier display-names
* include general metadata in HTML export
* bump version to 10.0

2017-12-31:

* fix `exb2exb-trans.xsl`
* add `exb2exb-zh2*.xsl` and `exb2exb-zh3*.xsl` stylesheets, setting the
  `$zh-number` parameter to `2` and `3`, respectively
* adapt `TransformationScenarios.xml` and `README.md` accordingly

2017-12-30:

* make `exb2exb-tok.xsl` preserve existing annotations
* make `exb2exb-zh.xsl` honour the `$zh-number` parameter
* add `exb2exb-zh1*.xsl` stylesheets, setting the `$zh-number` parameter to `1`
  (= first `ZH` tier), for updating the corresponding tiers

2017-12-29:

* chain `exb2exb-format.xsl` after `exb2exb-*.xsl` stylesheets in separate
  `exb2exb-*-format.xsl` stylesheets
* add `exb2exb-tag-s-format.xsl`, chaining `exb2exb-s-format.xsl` after
  `exb2exb-tag.xsl`
* adapt `TransformationScenarios.xml` and `README.md` accordingly

2017-12-21:

* more robust tagging of `MERGE` and `SPLIT` in `exb2exb-diff.xsl`
* fix segmentation in `exb2exs.xsl`
* bump version to 9.1

2017-12-18:

* add `Aux` to "morphologische Fehler" in `annotation-panel.xml`
* move `Neg` from "semantische Fehler" to "syntaktische Fehler" in
  `annotation-panel.xml`

2017-12-16:

* add custom `SegmentAndSaveTranscriptionAction.java`, running `exb2exs.xsl` on
  the current EXB file
* adapt `Makefile` accordingly
* revise `README.md` and `BUILD.md` accordingly
* add `Fin` (Finitheit) and `Mod` (Modus) to `annotation-panel.xml` (as proposed
  by Carola Strobl)
* remove `FF` (Flüchtigkeitsfehler) from `annotation-panel.xml` (as proposed by
  Hagen Hirschmann)
* bump version to 9.0

2017-12-14:

* change the type of `ZH` tiers in `exb2exb-zh.xsl` from `a` to `t`, in order to
  search them together with the `tok` tier in EXAKT
* add `exb2exs.xsl` for exporting properly segmented EXS files, which are used
  by COMA and EXAKT

2017-12-05:

* add `exb2exb-format.xsl`, modelled after `format-table.xsl`
* chain `exb2exb-format.xsl` after `exb2exb-*.xsl` stylesheets using
  `saxon:next-in-chain`
* revise `README.md` accordingly
* don't copy auto-save information
* bump version to 8.0
* fix formatting of multiple L1's or L2's in `exb2html.xsl`
* bump version to 8.1

2017-12-02:

* move Dulko stylesheets to base directory, resolving URI-resolution issues of
  `<xsl:import>` tags
* remove absolute (i.e. internal) stylesheet paths in
  `TransformationScenarios.xml`
* don't include the stylesheets in `exmaralda-dulko.jar` anymore
* adapt `Makefile` accordingly

2017-10-17:

* normalise whitespace in `exb2exb-tok.xsl`
* properly tokenise internal apostrophes and numerical ranges in
  `exb2exb-tok.xsl`
* rename the `tokS` tier to `S`
* add namespace prefix `tok` for the `S` tier
* rename namespace prefix `E` to `ZH`
* make `format-table.xsl` work with namespace prefixes
* add `BUILD.md`
* simplify `Makefile`
* `ChangeLog.md` in Markdown format
* adapt `exmaralda-dulko.iss` accordingly
* bump version to 7.0

2017-10-16:

* `README.md` in Markdown format for Bitbucket
* bump version to 6.3

2017-10-15:

* display Dulko version in the window title and in the About dialog
* bump version to 6.2

2017-10-12:

* add `exmaralda-dulko.command` file for MacOS
* revise `README`

2017-10-10:

* `exb2exb-namespaces.xsl` for toggling namespace prefixes of `ZH*` and
  `Fehler*` tiers (used for properly ordering the tiers in ANNIS)
* bump version to 6.1

2017-10-09:

* `exb2exb-trans.xsl` for translation tiers, aligned with sentence-span tiers
* bump version to 6.0

2017-07-25:

* simplify agreement tags in `annotation-panel.xml`
* fixes
* bump version to 5.0

2017-07-24:

* generate expanded versions of `exb2exb-toktag.xsl` and `exb2exb-toks.xsl` in
  `Makefile` as a workaround for URI-resolution issues of `<xsl:import>` tags in
  stylesheets in `exmaralda-dulko.jar`

2017-07-23:

* fixes

2017-07-22:

* add Windows installer
* add `exmaralda-dulko.desktop` for Linux

2017-07-21:

* support for Partitur-Editor 1.6

2017-07-20:

* add `exmaralda-dulko.jar` with the Dulko stylesheets and
  `TransformationScenarios.xml`
* add `tt4j-dulko.jar` with the TreeTagger classes
* remove custom `EXMARaLDA.jar`
* add `exmaralda-dulko.sh` file for Linux
* add `exmaralda-dulko.exe` file for Windows
* Makefile for generating the JAR and EXE files
* Dulko icon and splash screen
* bump version to 4.0

2017-07-08:

* fixes

2017-07-07:

* `exb2exb-toktag.xsl` and `exb2exb-toks.xsl`, importing `exb2exb-tag.xsl` and
  `exb2exb-s.xsl`, respectively, and setting their `$zh-number` parameter to `0`
  (= `tok` tier), as a workaround for the inability to set the XSL parameters in
  `TransformationScenarios.xml`
* fixes

2017-07-06:

* simplify valence tags in `annotation-panel.xml`
* fixes

2017-07-05:

* support for `ZHS` sentence-span tiers
* fixes

2017-05-15:

* more tags in `annotation-panel.xml`
* bump version to 3.1

2017-05-08:

* fixes

2017-04-11:

* `exb2exb-timeline.xsl` for compressing and cleaning up the timeline
* make the tokenizing transformation run with the default tier
* take abbreviations and POS categories into account for the events on the
  `tokS` tier
* assume German for the TreeTagger transformation if no language is specified
* ignore leading and trailing whitespace when determining the events on the
  `ZHDiff` tier
* translate the `TransformationScenarios.xml` file into German and change the
  order of the sentence-span and TreeTagger transformations
* add custom `EXMARaLDA.jar` with the Dulko stylesheets,
  `TransformationScenarios.xml`, and the TreeTagger classes for convenience
* bump version to 3.0

2017-04-10:

* fixes

2017-04-06:

* normalize ellipses, apostrophes, dashes and quotation marks as expected by
  TreeTagger
* do not tokenize apostrophes
* do not tokenize periods in ellipses, ordinal numbers, and common abbreviations
* take closing quotation marks into account for the events on the `tokS` tier

2017-04-03:

* replace the tiers `ErrorCatG` and `ErrorCatS` by the tiers `FehlerOrth`,
  `FehlerMorph`, `FehlerSyn`, `FehlerLex`, and `FehlerSem`
* add an annotation-specification file (`annotation-panel.xml`) for those tiers
* bump version to 2.0

2017-04-02:

* automatic tagging with `MOVS` and `MOVT` on `ZHDiff` tiers
* bump version to 1.3

2016-12-27:

* HTML export
* bump version to 1.2

2016-11-09:

* `exb2exb-s.xsl` for sentence-span tiers
* custom `TransformationScenarios.xml` file
* fixes
* bump version to 1.1

2016-11-07:

* initial release as version 1.0
