#!/bin/sh
# exmaralda-dulko.sh -- start Dulko version of EXMARaLDA
# Andreas Nolda 2019-10-21

cd $(dirname $0)

# uncomment and set this variable if TreeTagger is installed in a non-standard
# directory
#TREETAGGER_HOME=
if [ -z "$TREETAGGER_HOME" ]; then
  if [ -d "$HOME/tree-tagger" ]; then
    TREETAGGER_HOME=$HOME/tree-tagger
  elif [ -d "/opt/tree-tagger" ]; then
    TREETAGGER_HOME=/opt/tree-tagger
  else
    echo "TreeTagger not found. Please set \"TREETAGGER_HOME\" in \"$0\"."
    exit 1
  fi
fi
export TREETAGGER_HOME

# uncomment and set this variable if EXMARaLDA is installed in a non-standard
# directory
#EXMARALDADIR=
if [ -z "$EXMARALDADIR" ]; then
  if [ -d "$HOME/exmaralda" ]; then
    EXMARALDADIR="$HOME/exmaralda"
  elif [ -d /opt/exmaralda ]; then
    EXMARALDADIR=/opt/exmaralda
  else
    echo "EXMARaLDA Partitur-Editor not found. Please set \"EXMARALDADIR\" in \"$0\"."
    exit 1
  fi
fi

EXMARALDADULKODIR=.
TT4JDULKODIR=.
SAXONDIR=.

MEM=256M
FONT=Sans-18

JAVA_OPTIONS="-Xmx$MEM -Dawt.useSystemAAFontSettings=on -Dswing.plaf.metal.controlFont=$FONT"

CP_JAVA=$EXMARALDADULKODIR/share:$EXMARALDADULKODIR/exmaralda-dulko.jar:$TT4JDULKODIR/tt4j-dulko.jar:$SAXONDIR/saxon9.jar:$SAXONDIR/saxon9-dom.jar:$EXMARALDADIR/lib/EXMARaLDA.jar:$EXMARALDADIR/lib/xalan.jar:$EXMARALDADIR/lib/jctable.jar:$EXMARALDADIR/lib/jdom.jar:$EXMARALDADIR/lib/jmf.jar:$EXMARALDADIR/lib/elan.jar:$EXMARALDADIR/lib/BATIK.jar:$EXMARALDADIR/lib/QTJava.zip:$EXMARALDADIR/lib/AppleJavaExtensions.jar

java $JAVA_OPTIONS -classpath $CP_JAVA org.exmaralda.partitureditor.partiture.PartiturEditor $1

exit 0
